repos:
- repo: https://github.com/pre-commit/pre-commit-hooks
  rev: v3.2.0
  hooks:
  -   id: trailing-whitespace
  -   id: end-of-file-fixer
  -   id: check-yaml
  -   id: check-added-large-files
      exclude: 'ghostforge/static/js/es6/faker-8.0.2.mjs'
- repo: https://github.com/asottile/reorder_python_imports
  rev: v3.9.0
  hooks:
  - id: reorder-python-imports
    args: [--application-directories, '.:ghostforge', --py39-plus]
- repo: https://github.com/psf/black
  rev: 23.3.0
  hooks:
  - id: black
    language_version: python3.11
- repo: https://github.com/PyCQA/bandit
  rev: 1.7.5
  hooks:
  - id: bandit
    args: ["-c", "pyproject.toml"]
    additional_dependencies: ["bandit[toml]"]
- repo: https://github.com/pycqa/flake8
  rev: 6.0.0
  hooks:
  -   id: flake8
